Package wx :: Package lib :: Module calendar :: Class Calendar

[frames | no frames]

## Type Calendar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                Calendar

Method Summary
| `__init__(self, parent, id, pos, size, style, validator, name)`
| `AcceptsFocus(self)`
| `AddSelect(self, list, font_color, back_color)`
| `ClearDsp(self)`
| `DecMonth(self)`
| `DecYear(self)`
| `DoDrawing(self, DC)`
| `DrawFocusIndicator(self, draw)`
| `DrawRect(self, key, bgcolor, fgcolor, width)`
| `DrawRectOrg(self, key, fgcolor, width)`
| `GetColor(self, name)`
| `GetDate(self)`
| `GetDay(self)`
| `GetDayHit(self, mx, my)`
| `GetMonth(self)`
| `GetYear(self)`
| `HideGrid(self)`
| `HideTitle(self)`
| `IncMonth(self)`
| `IncYear(self)`
| `IsDayInWeekend(self, key)`
| `OnKeyDown(self, event)`
| `OnKillFocus(self, event)`
| `OnLeftDEvent(self, event)`
| `OnLeftEvent(self, event)`
| `OnMiddleDEvent(self, event)`
| `OnMiddleEvent(self, event)`
| `OnPaint(self, event)`
| `OnRightDEvent(self, event)`
| `OnRightEvent(self, event)`
| `OnSetFocus(self, event)`
| `OnSize(self, evt)`
| `ProcessClick(self, event)`
| `SelectDay(self, key)`
| `SetBusType(self)`
| `SetColor(self, name, value)`
| `SetCurrentDay(self)`
| `SetDay(self, day)`
| `SetDayValue(self, day)`
| `SetMargin(self, xmarg, ymarg)`
| `SetMonth(self, month)`
| `SetNow(self)`
| `SetSelDay(self, sel)`
| `SetSize(self, set_size)`
| `SetTextAlign(self, vert, horz)`
| `SetWeekColor(self, font_color, week_color)`
| `SetYear(self, year)`
| `ShowWeekEnd(self)`
| `TestDay(self, key)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net